View Full Version : jingodog1

04-26-2011, 08:48 AM
I downloaded the Spry UI 1.7 Tabbed Panel 2 bar from the widget browser and pasted the code into DW CS5. It works in live view and in the testing environment on Firefox and IE6 (!). However, once I load it, it does not work. It appears as if the browser can't find the javascript or the styles. I've verified that the Spry-UI-1.7 folder is loaded and contains all the relevant files. Iíve also tried changing the file name to Spry (suggested by Crineer Jan 20th), but this did not work. Any idea what I'm doing wrong?
Here is the live page:


04-26-2011, 09:12 AM
the plugins folder is missing.

edit no its not sorry

04-26-2011, 09:23 AM
the alerts are being thrown up because of statements like these
if (typeof Spry == "undefined" || !Spry.Widget || !Spry.Widget.Base) { alert("SpryPanelSelector.js requires SpryWidget.js!"); return; }
so not defined or seeking in wrong folder

04-26-2011, 12:32 PM
All files and folders are present.
The web page is looking for these files, could there be an error in where i placed them on my page.

<script src="Spry/includes/SpryDOMUtils.js" type="text/javascript"></script>
<script src="Spry/includes/SpryDOMEffects.js" type="text/javascript"></script>
<script src="Spry/includes/SpryWidget.js" type="text/javascript"></script>
<script src="Spry/includes/SpryPanelSet.js" type="text/javascript"></script>
<script src="Spry/includes/SpryPanelSelector.js" type="text/javascript"></script>
<script src="Spry/includes/SpryFadingPanels.js" type="text/javascript"></script>
<script src="Spry/includes/SpryTabbedPanels2.js" type="text/javascript"></script>
<script src="Spry/includes/plugins/TabbedPanels2/SpryFadingPanelsPlugin.js" type="text/javascript"></script>
<script src="Spry/includes/plugins/TabbedPanels2/SpryTabbedPanelsKeyNavigationPlugin.js" type="text/javascript"></script>
<link href="Spry/css/TabbedPanels2/SpryTabbedPanels2.css" rel="stylesheet" type="text/css" />
<style type="text/css">